<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/fragmentWrapper"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/saveButtonWrapper_1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" >

        <com.smugmugsoftware.airconcalc.advanced.NewRoomScrollView
            android:id="@+id/scrollWrapper"
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <LinearLayout
                android:id="@+id/LinearLayout1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:id="@+id/genericWrapper_1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="24dp"
                    android:layout_marginRight="24dp"
                    android:layout_marginTop="36dp"
                    android:background="@drawable/narrow_rounded_bg_2"
                    android:orientation="vertical"
                    android:paddingBottom="8dp"
                    android:paddingLeft="8dp"
                    android:paddingRight="8dp"
                    android:paddingTop="8dp" >

                    <TextView
                        android:id="@+id/room_name_label"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="4dp"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:text="Room Name"
                        android:textColor="@color/off_white"
                        android:textSize="18dp" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <Spinner
                            android:id="@+id/name_spinner"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_alignParentTop="true" />

                        <LinearLayout
                            android:id="@+id/name_custom_wrapper"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/name_spinner" >

                            <EditText
                                android:id="@+id/name_editText"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:ems="10" >

                                <requestFocus />
                            </EditText>

                            <Button
                                android:id="@+id/name_save_default_button"
                                android:layout_width="wrap_content"
                                android:layout_height="36dp"
                                android:text="+ Add to list"
                                android:textSize="14sp" />
                        </LinearLayout>
                    </RelativeLayout>
                </LinearLayout>

                <ImageView
                    android:id="@+id/bar"
                    android:layout_width="match_parent"
                    android:layout_height="3dp"
                    android:layout_margin="16dp"
                    android:src="@drawable/line_gradient" />

                <LinearLayout
                    android:id="@+id/genericWrapper_2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:layout_marginRight="14dp"
                    android:background="@drawable/narrow_rounded_bg_2"
                    android:orientation="vertical"
                    android:paddingBottom="18dp"
                    android:paddingLeft="8dp"
                    android:paddingRight="2dp"
                    android:paddingTop="8dp" >

                    <LinearLayout
                        android:id="@+id/horiz_wrapper"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="12dp" >

                        <LinearLayout
                            android:id="@+id/horizWrapper_1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical" >

                            <TextView
                                android:id="@+id/room_walls_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:text="Exterior Walls"
                                android:textColor="@color/off_white"
                                android:textSize="18dp" />

                            <ImageView
                                android:id="@+id/wall_help"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_marginLeft="12dp"
                                android:background="@drawable/custom_button_background"
                                android:clickable="true"
                                android:padding="4dp"
                                android:src="@drawable/question_mark" />
                        </LinearLayout>
                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/RoomDimWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <RelativeLayout
                            android:id="@+id/wallLengthWrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/room_length_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_length_ft"
                                android:layout_alignParentLeft="true"
                                android:text="Length: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/room_length_ft"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/room_length_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/room_length_ft_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_length_ft"
                                android:layout_toRightOf="@+id/room_length_ft"
                                android:text=" ft X "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/room_length_in"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignBaseline="@+id/room_length_ft"
                                android:layout_toRightOf="@+id/room_length_ft_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/room_length_in_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_length_in"
                                android:layout_toRightOf="@+id/room_length_in"
                                android:text=" in"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/wallHeightWrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/wallLengthWrapper"
                            android:layout_marginTop="2dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/room_width_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_width_ft"
                                android:layout_alignParentLeft="true"
                                android:text="Height: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/room_width_ft"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/room_width_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/room_width_ft_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_width_ft"
                                android:layout_toRightOf="@+id/room_width_ft"
                                android:text=" ft X "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/room_width_in"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignBaseline="@+id/room_width_ft"
                                android:layout_toRightOf="@+id/room_width_ft_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/room_width_in_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_width_in"
                                android:layout_toRightOf="@+id/room_width_in"
                                android:text=" in"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />
                        </RelativeLayout>

                        <TextView
                            android:id="@+id/room_facing_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_below="@+id/wallHeightWrapper"
                            android:layout_marginTop="10dp"
                            android:paddingLeft="6dp"
                            android:text="Facing: "
                            android:textColor="@color/off_white"
                            android:textSize="14dp" />

                        <com.smugmugsoftware.airconcalc.advanced.CompassSelector
                            android:id="@+id/room_facing_spinner"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/wallHeightWrapper"
                            android:layout_toRightOf="@+id/room_facing_label" />

                        <RelativeLayout
                            android:id="@+id/wallConstNoWrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/room_facing_label"
                            android:layout_marginTop="10dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/room_const_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/room_const_no"
                                android:layout_alignParentLeft="true"
                                android:text="Const No: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/room_const_no"
                                android:layout_width="64dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/room_const_label"
                                android:textSize="14dp" />

                            <Button
                                android:id="@+id/room_const_wizard_button"
                                style="?android:attr/buttonStyleSmall"
                                android:layout_width="wrap_content"
                                android:layout_height="36dp"
                                android:layout_alignBaseline="@+id/room_const_label"
                                android:layout_marginLeft="8dp"
                                android:layout_toRightOf="@+id/room_const_no"
                                android:text="Wizard" />
                        </RelativeLayout>

                        <Button
                            android:id="@+id/room_add_button"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_below="@+id/wallConstNoWrapper"
                            android:layout_marginTop="26dp"
                            android:text=" + Add " />

                        <ListView
                            android:id="@+id/room_list"
                            android:layout_width="wrap_content"
                            android:layout_height="172dp"
                            android:layout_alignParentRight="true"
                            android:layout_below="@+id/wallConstNoWrapper"
                            android:layout_marginLeft="20dp"
                            android:layout_marginRight="12dp"
                            android:layout_marginTop="26dp"
                            android:layout_toRightOf="@+id/room_add_button"
                            android:background="@drawable/room_list_bg"
                            android:divider="@color/black"
                            android:dividerHeight="2dp"
                            android:padding="8dp" >
                        </ListView>
                    </RelativeLayout>
                </LinearLayout>

                <ImageView
                    android:id="@+id/bar"
                    android:layout_width="match_parent"
                    android:layout_height="3dp"
                    android:layout_margin="16dp"
                    android:src="@drawable/line_gradient" />

                <LinearLayout
                    android:id="@+id/genericWrapper_3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:layout_marginRight="14dp"
                    android:background="@drawable/narrow_rounded_bg_2"
                    android:orientation="vertical"
                    android:paddingBottom="16dp"
                    android:paddingLeft="8dp"
                    android:paddingRight="2dp"
                    android:paddingTop="8dp" >

                    <TextView
                        android:id="@+id/room_windows_label"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="12dp"
                        android:text="Windows/Doors"
                        android:textColor="@color/off_white"
                        android:textSize="18dp" />

                    <RadioGroup
                        android:id="@+id/winDoor_squareCustom_radioGroup"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal" >

                        <RadioButton
                            android:id="@+id/winDoor_square_radioButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:checked="true"
                            android:text="Square" />

                        <RadioButton
                            android:id="@+id/winDoor_custom_radioButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="8dp"
                            android:text="Custom" />
                    </RadioGroup>

                    <RelativeLayout
                        android:id="@+id/winDoorSquareWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <RelativeLayout
                            android:id="@+id/winDoor_width_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/winDoor_width_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_width_in"
                                android:layout_alignParentLeft="true"
                                android:text="Width: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/winDoor_width_in"
                                android:layout_width="64dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/winDoor_width_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/winDoor_width_in_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_width_in"
                                android:layout_toRightOf="@+id/winDoor_width_in"
                                android:text=" in"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/winDoor_height_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/winDoor_width_wrapper"
                            android:layout_marginTop="2dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/winDoor_height_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_height_in"
                                android:layout_alignParentLeft="true"
                                android:paddingBottom="12dp"
                                android:text="Height: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/winDoor_height_in"
                                android:layout_width="64dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/winDoor_height_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/winDoor_height_in_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_height_in"
                                android:layout_toRightOf="@+id/winDoor_height_in"
                                android:text=" in"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />
                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/winDoorAreaWrapper"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="6dp" >

                        <TextView
                            android:id="@+id/winDoor_area_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/winDoor_area"
                            android:layout_alignParentLeft="true"
                            android:text="Area: "
                            android:textColor="@color/off_white"
                            android:textSize="14dp" />

                        <EditText
                            android:id="@+id/winDoor_area"
                            android:layout_width="72dip"
                            android:layout_height="36dip"
                            android:layout_alignParentTop="true"
                            android:layout_toRightOf="@+id/winDoor_area_label"
                            android:inputType="number"
                            android:textSize="14dp" />

                        <TextView
                            android:id="@+id/winDoor_area_ft_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/winDoor_area"
                            android:layout_toRightOf="@+id/winDoor_area"
                            android:text=" ft"
                            android:textColor="@color/off_white"
                            android:textSize="14dp" />

                        <TextView
                            android:id="@+id/winDoor_area_squared_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignTop="@+id/winDoor_area_ft_label"
                            android:layout_marginTop="4dp"
                            android:layout_toRightOf="@+id/winDoor_area_ft_label"
                            android:text="2"
                            android:textColor="@color/off_white"
                            android:textSize="10dp" />

                        <Button
                            android:id="@+id/winDoor_area_wizard_button"
                            style="?android:attr/buttonStyleSmall"
                            android:layout_width="wrap_content"
                            android:layout_height="36dp"
                            android:layout_alignBaseline="@+id/winDoor_area_label"
                            android:layout_marginLeft="8dp"
                            android:layout_toRightOf="@+id/winDoor_area_squared_label"
                            android:text="Wizard" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/winDoorWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <RelativeLayout
                            android:id="@+id/winDoor_shadedAreaWrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/winDoor_shade_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_shade"
                                android:layout_alignParentLeft="true"
                                android:text="Shaded Area: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/winDoor_shade"
                                android:layout_width="72dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/winDoor_shade_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/winDoor_shade_unit_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_shade_label"
                                android:layout_toRightOf="@+id/winDoor_shade"
                                android:text=" ft"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/winDoor_shade_squared_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignTop="@+id/winDoor_shade_unit_label"
                                android:layout_marginTop="4dp"
                                android:layout_toRightOf="@+id/winDoor_shade_unit_label"
                                android:text="2"
                                android:textColor="@color/off_white"
                                android:textSize="10dp" />

                            <Button
                                android:id="@+id/winDoor_shade_wizard_button"
                                style="?android:attr/buttonStyleSmall"
                                android:layout_width="wrap_content"
                                android:layout_height="36dp"
                                android:layout_alignBaseline="@+id/winDoor_shade_label"
                                android:layout_marginLeft="8dp"
                                android:layout_toRightOf="@+id/winDoor_shade_squared_label"
                                android:text="Wizard" />
                        </RelativeLayout>

                        <TextView
                            android:id="@+id/winDoor_facing_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_below="@+id/winDoor_shadedAreaWrapper"
                            android:layout_marginLeft="6dp"
                            android:layout_marginTop="10dp"
                            android:text="Facing: "
                            android:textColor="@color/off_white"
                            android:textSize="14dp" />

                        <com.smugmugsoftware.airconcalc.advanced.CompassSelector
                            android:id="@+id/winDoor_facing_spinner"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/winDoor_shadedAreaWrapper"
                            android:layout_toRightOf="@+id/winDoor_facing_label" />

                        <RelativeLayout
                            android:id="@+id/winDoor_constNo_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/winDoor_facing_spinner"
                            android:layout_marginTop="2dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/winDoor_const_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_const_no"
                                android:layout_alignParentLeft="true"
                                android:layout_marginTop="16dp"
                                android:text="Const No: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/winDoor_const_no"
                                android:layout_width="72dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/winDoor_const_label"
                                android:textSize="14dp" />

                            <Button
                                android:id="@+id/winDoor_const_wizard_button"
                                style="?android:attr/buttonStyleSmall"
                                android:layout_width="wrap_content"
                                android:layout_height="36dp"
                                android:layout_alignBaseline="@+id/winDoor_const_label"
                                android:layout_marginLeft="8dp"
                                android:layout_toRightOf="@+id/winDoor_const_no"
                                android:text="Wizard" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/winDoor_qty_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/winDoor_constNo_wrapper"
                            android:layout_marginTop="2dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/winDoor_qty_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/winDoor_qty"
                                android:layout_alignParentLeft="true"
                                android:layout_below="@+id/winDoor_constNo_wrapper"
                                android:text="Quantity: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/winDoor_qty"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/winDoor_qty_label"
                                android:inputType="number"
                                android:text="1"
                                android:textSize="14dp" />
                        </RelativeLayout>

                        <Button
                            android:id="@+id/winDoor_add_button"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_below="@+id/winDoor_qty_wrapper"
                            android:layout_marginTop="26dp"
                            android:text=" + Add " />

                        <ListView
                            android:id="@+id/winDoor_list"
                            android:layout_width="wrap_content"
                            android:layout_height="172dp"
                            android:layout_alignParentRight="true"
                            android:layout_below="@+id/winDoor_qty_wrapper"
                            android:layout_marginLeft="20dp"
                            android:layout_marginRight="12dp"
                            android:layout_marginTop="26dp"
                            android:layout_toRightOf="@+id/winDoor_add_button"
                            android:background="@drawable/room_list_bg"
                            android:divider="@color/black"
                            android:dividerHeight="2dp"
                            android:padding="8dp" >
                        </ListView>
                    </RelativeLayout>
                </LinearLayout>

                <ImageView
                    android:id="@+id/bar"
                    android:layout_width="match_parent"
                    android:layout_height="3dp"
                    android:layout_margin="16dp"
                    android:src="@drawable/line_gradient" />

                <LinearLayout
                    android:id="@+id/genericWrapper_4"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="12dp"
                    android:layout_marginRight="12dp"
                    android:background="@drawable/narrow_rounded_bg_2"
                    android:orientation="vertical"
                    android:paddingBottom="16dp"
                    android:paddingLeft="8dp"
                    android:paddingRight="2dp"
                    android:paddingTop="8dp" >

                    <LinearLayout
                        android:id="@+id/horizWrapper_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginBottom="12dp" >

                        <TextView
                            android:id="@+id/room_ceiling_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:text="Ceilings/Floors"
                            android:textColor="@color/off_white"
                            android:textSize="18dp" />

                        <ImageView
                            android:id="@+id/ceiling_help"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginLeft="12dp"
                            android:background="@drawable/custom_button_background"
                            android:clickable="true"
                            android:padding="4dp"
                            android:src="@drawable/question_mark" />
                    </LinearLayout>

                    <RadioGroup
                        android:id="@+id/celFloor_squareCustom_radioGroup"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal" >

                        <RadioButton
                            android:id="@+id/celFloor_square_radioButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:checked="true"
                            android:text="Square" />

                        <RadioButton
                            android:id="@+id/celFloor_custom_radioButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="8dp"
                            android:text="Custom" />
                    </RadioGroup>

                    <RelativeLayout
                        android:id="@+id/celFloorSquareWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <RelativeLayout
                            android:id="@+id/celFloor_length_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/celFloor_length_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_length_ft"
                                android:layout_alignParentLeft="true"
                                android:text="Length: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/celFloor_length_ft"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/celFloor_length_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/celFloor_length_ft_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_length_ft"
                                android:layout_toRightOf="@+id/celFloor_length_ft"
                                android:text=" ft X "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/celFloor_length_in"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignBaseline="@+id/celFloor_length_ft"
                                android:layout_toRightOf="@+id/celFloor_length_ft_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/celFloor_length_in_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_length_in"
                                android:layout_toRightOf="@+id/celFloor_length_in"
                                android:text=" in"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:id="@+id/celFloor_width_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/celFloor_length_wrapper"
                            android:layout_marginTop="2dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/celFloor_width_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_width_ft"
                                android:layout_alignParentLeft="true"
                                android:paddingBottom="12dp"
                                android:text="Width: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/celFloor_width_ft"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/celFloor_width_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/celFloor_width_ft_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_width_ft"
                                android:layout_toRightOf="@+id/celFloor_width_ft"
                                android:text=" ft X "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/celFloor_width_in"
                                android:layout_width="48dip"
                                android:layout_height="36dip"
                                android:layout_alignBaseline="@+id/celFloor_width_ft"
                                android:layout_toRightOf="@+id/celFloor_width_ft_label"
                                android:inputType="number"
                                android:textSize="14dp" />

                            <TextView
                                android:id="@+id/celFloor_width_in_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_width_in"
                                android:layout_toRightOf="@+id/celFloor_width_in"
                                android:text=" in"
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />
                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/celFloorAreaWrapper"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="6dp" >

                        <TextView
                            android:id="@+id/celFloor_area_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/celFloor_area"
                            android:layout_alignParentLeft="true"
                            android:text="Area: "
                            android:textColor="@color/off_white"
                            android:textSize="14dp" />

                        <EditText
                            android:id="@+id/celFloor_area"
                            android:layout_width="48dip"
                            android:layout_height="36dip"
                            android:layout_alignParentTop="true"
                            android:layout_toRightOf="@+id/celFloor_area_label"
                            android:inputType="number"
                            android:textSize="14dp" />

                        <TextView
                            android:id="@+id/celFloor_area_ft_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/celFloor_area"
                            android:layout_toRightOf="@+id/celFloor_area"
                            android:text=" ft"
                            android:textColor="@color/off_white"
                            android:textSize="14dp" />

                        <TextView
                            android:id="@+id/celFloor_area_squared_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignTop="@+id/celFloor_area_ft_label"
                            android:layout_marginTop="4dp"
                            android:layout_toRightOf="@+id/celFloor_area_ft_label"
                            android:text="2"
                            android:textColor="@color/off_white"
                            android:textSize="10dp" />

                        <Button
                            android:id="@+id/celFloor_area_wizard_button"
                            style="?android:attr/buttonStyleSmall"
                            android:layout_width="wrap_content"
                            android:layout_height="36dp"
                            android:layout_alignBaseline="@+id/celFloor_area_label"
                            android:layout_marginLeft="8dp"
                            android:layout_toRightOf="@+id/celFloor_area_squared_label"
                            android:text="Wizard" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/celFloorWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <RelativeLayout
                            android:id="@+id/celFloor_constNo_wrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="2dp"
                            android:padding="6dp" >

                            <TextView
                                android:id="@+id/celFloor_const_label"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/celFloor_const_no"
                                android:layout_alignParentLeft="true"
                                android:layout_marginTop="16dp"
                                android:text="Const No: "
                                android:textColor="@color/off_white"
                                android:textSize="14dp" />

                            <EditText
                                android:id="@+id/celFloor_const_no"
                                android:layout_width="64dip"
                                android:layout_height="36dip"
                                android:layout_alignParentTop="true"
                                android:layout_toRightOf="@+id/celFloor_const_label"
                                android:textSize="14dp" />

                            <Button
                                android:id="@+id/celFloor_const_wizard_button"
                                style="?android:attr/buttonStyleSmall"
                                android:layout_width="wrap_content"
                                android:layout_height="36dp"
                                android:layout_alignBaseline="@+id/celFloor_const_label"
                                android:layout_marginLeft="8dp"
                                android:layout_toRightOf="@+id/celFloor_const_no"
                                android:text="Wizard" />
                        </RelativeLayout>

                        <Button
                            android:id="@+id/celFloor_add_button"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_below="@+id/celFloor_constNo_wrapper"
                            android:layout_marginTop="26dp"
                            android:text=" + Add " />

                        <ListView
                            android:id="@+id/celFloor_list"
                            android:layout_width="wrap_content"
                            android:layout_height="172dp"
                            android:layout_alignParentRight="true"
                            android:layout_below="@+id/celFloor_constNo_wrapper"
                            android:layout_marginLeft="20dp"
                            android:layout_marginRight="12dp"
                            android:layout_marginTop="26dp"
                            android:layout_toRightOf="@+id/celFloor_add_button"
                            android:background="@drawable/room_list_bg"
                            android:divider="@color/black"
                            android:dividerHeight="2dp"
                            android:padding="8dp" >
                        </ListView>
                    </RelativeLayout>
                </LinearLayout>

                <ImageView
                    android:id="@+id/bar"
                    android:layout_width="match_parent"
                    android:layout_height="3dp"
                    android:layout_margin="16dp"
                    android:src="@drawable/line_gradient" />

                <LinearLayout
                    android:id="@+id/genericWrapper_5"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="16dp"
                    android:layout_marginLeft="14dp"
                    android:layout_marginRight="14dp"
                    android:background="@drawable/narrow_rounded_bg_2"
                    android:orientation="vertical"
                    android:paddingBottom="8dp"
                    android:paddingLeft="8dp"
                    android:paddingRight="2dp"
                    android:paddingTop="8dp" >

                    <LinearLayout
                        android:id="@+id/horizWrapper_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginBottom="12dp" >

                        <TextView
                            android:id="@+id/room_sensible_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:text="Sensible Loads"
                            android:textColor="@color/off_white"
                            android:textSize="18dp" />

                        <ImageView
                            android:id="@+id/sensible_help"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginLeft="12dp"
                            android:background="@drawable/custom_button_background"
                            android:clickable="true"
                            android:padding="4dp"
                            android:src="@drawable/question_mark" />
                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/celFloorWrapper"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" >

                        <LinearLayout
                            android:id="@+id/loadButtonWrapper"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_alignParentTop="true"
                            android:orientation="vertical" >

                            <Button
                                android:id="@+id/load_occupant_button"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text=" Occupants "
                                android:textSize="14sp" />

                            <Button
                                android:id="@+id/load_lighting_button"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text=" Lighting "
                                android:textSize="14sp" />

                            <Button
                                android:id="@+id/load_appliances_button"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="Residential"
                                android:textSize="14sp" />

                            <Button
                                android:id="@+id/load_commercial_button"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text=" Commercial "
                                android:textSize="14sp" />
                        </LinearLayout>

                        <ListView
                            android:id="@+id/load_list"
                            android:layout_width="wrap_content"
                            android:layout_height="190dp"
                            android:layout_alignParentRight="true"
                            android:layout_alignParentTop="true"
                            android:layout_marginLeft="16dp"
                            android:layout_marginRight="8dp"
                            android:layout_toRightOf="@+id/loadButtonWrapper"
                            android:background="@drawable/room_list_bg"
                            android:divider="@color/black"
                            android:dividerHeight="2dp"
                            android:padding="8dp" >
                        </ListView>
                    </RelativeLayout>
                </LinearLayout>
            </LinearLayout>
        </com.smugmugsoftware.airconcalc.advanced.NewRoomScrollView>

        <ImageView
            android:id="@+id/bg_fade_top"
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:layout_alignParentTop="true"
            android:layout_centerHorizontal="true"
            android:background="@drawable/background_fade_top" />

        <ImageView
            android:id="@+id/bg_fade_bottom"
            android:layout_width="match_parent"
            android:layout_height="6dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:background="@drawable/background_fade_bottom" />

        <ImageView
            android:id="@+id/cancel_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:background="@drawable/custom_button_background"
            android:clickable="true"
            android:paddingBottom="6dp"
            android:paddingRight="16dp"
            android:src="@drawable/cancel_button" />

        <ImageView
            android:id="@+id/save_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:background="@drawable/custom_button_background"
            android:clickable="true"
            android:paddingBottom="6dp"
            android:paddingLeft="16dp"
            android:src="@drawable/save_button" />
    </RelativeLayout>

</LinearLayout>